Subject: Re: linux-next: Tree for Mar 18 (objtool)

From: Josh Poimboeuf <[email-masked]>
Date: Thu, 19 Mar 2020 12:33:26 -0500

On Thu, Mar 19, 2020 at 12:31:05PM -0500, Josh Poimboeuf wrote:
> ... except the __builtin_trap() UD2 seems to be coming *after* the BUG
> UD2.  Could it be the BUG UD2 itself which is convincing UBSAN to add
> the __builtin_trap()?

Actually I suspect it's the __builtin_unreachable() annotation which is
making UBSAN add the __builtin_trap()...  because I don't see any double
UD2s for WARNs.

-- 
Josh